function [point] = gen(N)
%% generate points randomly from rotate([-3 -1 1 3]^2) + noise

rot = [2, 1];
point = zeros(N, 2);
for i=1:N
  x = floor(rand * 4) * 2 - 3;
  y = floor(rand * 4) * 2 - 3;
  p = rot(1) * x - rot(2) * y + randn;
  q = rot(1) * y + rot(2) * x + randn;
  point(i, :) = [p, q];
end
