function vq(nCluster, points)
%% vq(nCluster, points)
%% points are N by 2 
%% nCluster <= N

N = size(points, 1);
mu = 0.1;

if (N < nCluster || size(points, 2) ~= 2)
  return;
end

[Z, idx] = sort(rand(N, 1));
w = points(idx(1:nCluster), :);

for k=1:10000
  i = floor(rand(1) * N) + 1;
  diff = w - ones(nCluster, 1) * points(i, :);
  [m, proto] = min(diff(:, 1) .^ 2 + diff(:, 2) .^ 2);
  w(proto, :) = w(proto, :) + mu * (points(i, :) - w(proto, :));
  plot(w(:, 1), w(:, 2), 'r.');
  drawnow;
end

plot(w(:, 1), w(:, 2), 'go');

  
